## org.hibernate.engine
Class FilterDefinition

    java.lang.Object
      org.hibernate.engine.FilterDefinition

All Implemented Interfaces:
  Serializable

    public class FilterDefinition

extends Object
implements Serializable

A FilterDefinition defines the global attributes of a dynamic filter. This information includes its name as well as its defined parameters (name and type).

Author:
  Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`FilterDefinition(String name, String defaultCondition, Map parameterTypes)` Construct a new FilterDefinition instance.

Method Summary
`String` `getDefaultFilterCondition()`
`String` `getFilterName()` Get the name of the filter this configuration defines.
`Set` `getParameterNames()` Get a set of the parameters defined by this configuration.
`Type` `getParameterType(String parameterName)` Retreive the type of the named parameter defined for this filter.
`Map` `getParameterTypes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterDefinition

    public FilterDefinition(String name,
                            String defaultCondition,
                            Map parameterTypes)

  Construct a new FilterDefinition instance.

  Parameters:
    `name` - The name of the filter for which this configuration is in effect.

Method Detail

### getFilterName

    public String getFilterName()

  Get the name of the filter this configuration defines.

  Returns:
    The filter name for this configuration.

### getParameterNames

    public Set getParameterNames()

  Get a set of the parameters defined by this configuration.

  Returns:
    The parameters named by this configuration.

### getParameterType

    public Type getParameterType(String parameterName)

  Retreive the type of the named parameter defined for this filter.

  Parameters:
    `parameterName` - The name of the filter parameter for which to return the type.
  Returns:
    The type of the named parameter.

### getDefaultFilterCondition

    public String getDefaultFilterCondition()

### getParameterTypes

    public Map getParameterTypes()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.